Package ru.bitel.bgbilling.kernel.contract.api.server.bean.customer.parameter.provider

# Class CustomerParameterProviderPB

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.contract.api.server.bean.customer.parameter.provider.CustomerParameterProviderPB

All Implemented Interfaces:
  `CustomerParameterProvider`, `GuiTitlable`

public class CustomerParameterProviderPB extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements CustomerParameterProvider

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `CustomerParameterProviderPB.PBAPIException`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkSourceCondition()`
  Проверка состояния источника данных.
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `static CustomerParameterProviderPB`
  `getInstance()`
  `org.json.JSONObject`
  `searchDataByINN(String inn)`
  `org.json.JSONObject`
  `searchDataByOGRN(String ogrn)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static CustomerParameterProviderPB getInstance()

  - ### searchDataByINN

    public org.json.JSONObject searchDataByINN(String inn) throws Exception
    Specified by:
      `searchDataByINN` in interface `CustomerParameterProvider`
    Throws:
      `Exception`

  - ### searchDataByOGRN

    public org.json.JSONObject searchDataByOGRN(String ogrn) throws Exception
    Specified by:
      `searchDataByOGRN` in interface `CustomerParameterProvider`
    Throws:
      `Exception`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### checkSourceCondition

    public boolean checkSourceCondition() throws Exception
    Description copied from interface: `CustomerParameterProvider`
    Проверка состояния источника данных.
    Specified by:
      `checkSourceCondition` in interface `CustomerParameterProvider`
    Returns:
      true - если источник доступен для использования
    Throws:
      `Exception`